Manage the organization subscription
curl --request POST \
--url https://api.orbit.devotel.io/api/v1/billing/subscription \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "change_plan",
"planId": "growth",
"reason": "Upgrading for higher monthly volume"
}
'import requests
url = "https://api.orbit.devotel.io/api/v1/billing/subscription"
payload = {
"action": "change_plan",
"planId": "growth",
"reason": "Upgrading for higher monthly volume"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'change_plan',
planId: 'growth',
reason: 'Upgrading for higher monthly volume'
})
};
fetch('https://api.orbit.devotel.io/api/v1/billing/subscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"plan": "growth",
"status": "active",
"previousPlan": "starter",
"previousStatus": "active"
},
"meta": {
"request_id": "req_01HZY8EXAMPLE",
"timestamp": "2026-08-02T12:00:00.000Z"
}
}Billing
Manage the organization subscription
Cancel, reactivate, or change the plan of the organization’s subscription. Set action to cancel, reactivate, or change_plan (supply planId when changing plans). The change is applied at the billing provider and recorded in the audit log with the previous and new plan. Requires a billing-role session.
POST
/
api
/
v1
/
billing
/
subscription
Manage the organization subscription
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Body
application/json
⌘I